Announcement Announcement Module
Collapse
No announcement yet.
AbstractBeanConfigurerAspect + jdk 1.4 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • AbstractBeanConfigurerAspect + jdk 1.4

    Hi there,
    I have a small aspect example that uses AbstractBeanConfigurerAspect with jdk 1.5 and runs correctly. When i try with jdk 1.4 i get the following problem.

    Exceptionin thread "main" org.springframework.beans.factory.CannotLoadBeanCl assException: Error loading class [org.springframework.beans.factory.aspectj.Annotati onBeanConfigurerAspect] for bean with name 'org.springframework.beans.factory.aspectj.Annotat ionBeanConfigurerAspect' defined in null: problem with class file or dependent class; nested exception is java.lang.UnsupportedClassVersionError: org/springframework/beans/factory/aspectj/AnnotationBeanConfigurerAspect (Unsupported major.minor version 49.0)


    My code does not use any annotations ... should AbstractBeanConfigurerAspect work with jdk 1.4?

  • #2
    Take a look at AbstractBeanConfigurerAspect source code... it uses an annotation for one of its classes. Maybe there are other places where it uses annotations.

    Comment


    • #3
      Does that mean its only possible to inject into objects outside of the control of springs container with JDK 1.5 and above ? This is all coming from section "6.8.1. Using AspectJ to dependency inject domain objects with Spring" but im not sure what is supported in 1.4.
      thanks,
      Jimmy

      Comment

      Working...
      X